#ifndef SUBMITSCORESCENE_HPP
#define SUBMITSCORESCENE_HPP

#include <SFML/System/String.hpp>

#include "SceneChangeEvent.hpp"
#include "scenes/MenuScene.hpp"

class SubmitScoreScene : public MenuScene
{
	public:
		SubmitScoreScene( Game& theGame );
	
		virtual void initialize( SceneChangeEvent& event );
		
		virtual void update( const sf::Event& event );
	
	private:
		SceneChangeEvent received;
		sf::String name;
		
		virtual void renderImpl( sf::RenderWindow& window );
		
		void submit();
};

#endif // SUBMITSCORESCENE_HPP
