#ifndef HIGHSCORESCENE_HPP
#define HIGHSCORESCENE_HPP

#include <array>
#include <string>

#include "scenes/MenuScene.hpp"

class HighscoreScene : public MenuScene
{
	public:
		HighscoreScene( Game& theGame );
	
		virtual void initialize( SceneChangeEvent& event );
	
	private:
		std::array< std::pair< int, std::string >, 10 > scores;
		int difficulty;
		
		virtual void renderImpl( sf::RenderWindow& window );
		void loadHighscores();
};

#endif // HIGHSCORESCENE_HPP
