#ifndef SKILLSCENE_HPP
#define SKILLSCENE_HPP

#include <array>

#include "game/SkillType.hpp"
#include "SceneChangeEvent.hpp"
#include "scenes/MenuScene.hpp"

class SkillScene : public MenuScene
{
	public:
		SkillScene( Game& theGame );
	
		virtual void initialize( SceneChangeEvent& event );
	
	private:
		SceneChangeEvent pending;
		
		std::array< int, game::Skill::Count > skills;
		int available;
		
		virtual void renderImpl( sf::RenderWindow& window );
};

#endif // SKILLSCENE_HPP
